Poll invoice payment status
curl --request GET \
--url https://api.example.com/v1/public/invoices/{token}/status \
--header 'X-Api-Id: <api-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Signature: <api-key>' \
--header 'X-Timestamp: <api-key>'import requests
url = "https://api.example.com/v1/public/invoices/{token}/status"
headers = {
"X-Api-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"X-Signature": "<api-key>",
"X-Timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Api-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'X-Signature': '<api-key>',
'X-Timestamp': '<api-key>'
}
};
fetch('https://api.example.com/v1/public/invoices/{token}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": "pending",
"paymentStatus": "<string>",
"receivedAmount": "<string>",
"confirmations": 123,
"requiredConfirmations": 123,
"txhash": "<string>",
"explorerTxUrl": "<string>",
"paidAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}public · invoices
Poll invoice payment status
Лёгкий статус для live-обновления страницы (поллинг каждые ~3с). 410 если ссылка отключена.
GET
/
v1
/
public
/
invoices
/
{token}
/
status
Poll invoice payment status
Authorizations
Публичный идентификатор API-ключа
Публичный API-ключ
HMAC-SHA256-Hex(timestamp + "." + raw_body, api_secret)
Unix-секунды, ±300с
Path Parameters
Публичный токен из ссылки счёта.
Response
200 - application/json
Available options:
pending, detected, paid, overpaid, underpaid, expired ⌘I